6.0.0-git
2019-03-19

[#11238] Smartphone view not displaying polled folders
Summary Smartphone view not displaying polled folders
Queue IMP
Queue Version Git develop
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2012-07-05 (2448 days ago)
Due
Updated 2012-08-29 (2393 days ago)
Assigned 2012-07-05 (2448 days ago)
Resolved 2012-08-25 (2397 days ago)
Milestone
Patch No

History
2012-08-29 12:49:15 Git Commit Comment #11 Reply to this comment
Changes have been made in Git (master):

commit 25e2ace5f35a9b5d1a191241711a7de187b1fb09
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Aug 24 22:25:48 2012 -0600

     [mms] Show polled children in smartmobile folder list when parent 
mailbox is not polled (Bug #11238).

  imp/docs/CHANGES      |    2 ++
  imp/lib/Imap/Tree.php |    5 +++++
  imp/package.xml       |    2 ++
  3 files changed, 9 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/25e2ace5f35a9b5d1a191241711a7de187b1fb09
2012-08-25 04:26:12 Michael Slusarz State ⇒ Resolved
 
2012-08-25 04:26:07 Git Commit Comment #10 Reply to this comment
Changes have been made in Git (develop):

commit 25e2ace5f35a9b5d1a191241711a7de187b1fb09
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Fri Aug 24 22:25:48 2012 -0600

     [mms] Show polled children in smartmobile folder list when parent 
mailbox is not polled (Bug #11238).

  imp/docs/CHANGES      |    2 ++
  imp/lib/Imap/Tree.php |    5 +++++
  imp/package.xml       |    2 ++
  3 files changed, 9 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/25e2ace5f35a9b5d1a191241711a7de187b1fb09
2012-07-05 23:29:46 Michael Slusarz Comment #9
State ⇒ Assigned
Reply to this comment
In my case the parent is a folder not a container. Does that make a 
difference?
Yes.  We are correctly returning all polled mailboxes.  However, for 
polled mailboxes that live under a non-polled mailbox, this parent 
mailbox is not being added to the tree as a container and Horde_Tree 
is not rendering the polled child since there is no parent node.
2012-07-05 20:15:28 Jan Schneider Comment #8 Reply to this comment
In my case the parent is a folder not a container. Does that make a 
difference?
2012-07-05 20:10:16 Michael Slusarz Comment #7 Reply to this comment
I just noticed that one top-level polled folder shows up. So it only 
affects sub-folders, e.g. INBOX.horde.bugs.
This doesn't sound right either.  My horde lists live under IN.horde, 
and I see them fine.  IN.horde is not a mailbox, it is a container - I 
would think that this would make it MORE likely that it wouldn't work 
in my setup, but it identifies the container just fine (in other 
words, its not a subscription issue).

And looking back at the commit that added this, the parent check line 
was not modified at all (commit 
e5a9fd50a411209a346616f1ef1f3495f6f15c3d).
2012-07-05 19:29:19 Jan Schneider Comment #6 Reply to this comment
The polled folders are skipped in line 2118 of IMP_Imap_Tree.
On this line?

             if (!isset($this->_parent[$elt->value])) {
Yes exactly there.
That makes no sense logically, and I can't reproduce.
I just noticed that one top-level polled folder shows up. So it only 
affects sub-folders, e.g. INBOX.horde.bugs.
2012-07-05 18:59:20 Michael Slusarz Comment #5 Reply to this comment
The polled folders are skipped in line 2118 of IMP_Imap_Tree.
On this line?

             if (!isset($this->_parent[$elt->value])) {

That makes no sense logically, and I can't reproduce.
2012-07-05 18:17:29 Jan Schneider Comment #4 Reply to this comment
The toggling might be an issue with my phone and jqm, it looks like i 
get double clicks on the button. I see the same with the toggle button 
of the message header.

The polled folders are skipped in line 2118 of IMP_Imap_Tree.
2012-07-05 17:44:04 Michael Slusarz Comment #3
State ⇒ Feedback
Reply to this comment
Works fine here.  Both the default view and toggling.
2012-07-05 11:03:33 Jan Schneider Comment #2 Reply to this comment
Oh, and "Display All" doesn't change anything. It doesn't show all folders.
2012-07-05 11:02:52 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Smartphone view not displaying polled folders
Queue ⇒ IMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
The default folder list in smartphone mode is only displaying special 
folders, not the polled folders like described in the changelog/commit 
message.

Saved Queries